<template>
    <div class="d-flex align-items-center">
        <InputWithSwitch
            ref="switch"
            v-model="safeSend"
            type="int"
            step="1"
            style="width: 92px; margin-right: 0;"
            @input="save"
        />
        <div class="select_type">
            <b-form-select   
                v-model="safeSendType"
                :options="options"
                size="sm"
                class="select_blue"
            />
        </div>
    </div>
</template>

<script>
import InputWithSwitch from '@/components/elements/InputWithSwitch.vue'
import {MINUTES, SHORT_TIME, TYPE_TIME} from '@/store/constants'
import {settings} from '@/mixins/settings'

export default {
    components: {
        InputWithSwitch
    },
    mixins: [settings],
    props: ['value', 'active', 'type', 'default'],
    data() {
        return {
            safeSend: this.default,
            options: [
                {value: 'hours', text: 'Hours'},
                {value: 'minutes', text: 'Minutes'}
            ]
        }
    },
    computed: {
        safeSendType: {
            get() {return this.type},
            set(value) {
                this.$emit('updType', value)
            }
        }
    },
    created() {
        if(this.value) this.safeSend = this.value
        else if(this.default) this.safeSend = this.default
    }, 
    methods: {
        save(item) {
            this.safeSend = item
            this.$emit('input', this.safeSend)
        },
    }
}
</script>

<style lang="scss" scoped>
.select_type {
    width: 140px;
    margin-left: 5px;
}
</style>
